Settlement Struct Reference

settlement information More...

`#include <ql/instruments/swaption.hpp>`

## Public Types

enum | Type { Physical, Cash }
enum | Method { PhysicalOTC, PhysicalCleared, CollateralizedCashPrice, ParYieldCurve }

## Static Public Member Functions

static void | checkTypeAndMethodConsistency (Settlement::Type, Settlement::Method)
| check consistency of settlement type and method

## Detailed Description

settlement information